{
    "go.gopath": "/home/tux/.go",
    "keyboard.dispatch": "keyCode",
    "editor.fontSize": 12,
    "editor.fontFamily": "'Hack', 'MesloLGS NF'",
    "terminal.integrated.shell.linux": "/bin/zsh",
    "latex-workshop.view.pdf.viewer": "external",
    "editor.wordWrap": "wordWrapColumn",
    "telemetry.enableCrashReporter": false,
    "telemetry.enableTelemetry": false,
    "update.mode": "none",
    "update.showReleaseNotes": false,
    "workbench.startupEditor": "newUntitledFile",
    "latex-workshop.view.pdf.external.viewer.command": "zathura",
    "latex-workshop.latex.recipes": [
        {
            "name": "lualatex->biber->lualatex",
            "tools": [
                "lualatex",
                "biber",
                "lualatex"
            ]
        }
    ],
    "latex-workshop.latex.tools": [
        {
            "name": "latexmk",
            "command": "latexmk",
            "args": [
                "-xelatex",
                "-synctex=1",
                "-interaction=nonstopmode",
                "-file-line-error",
                "%DOC%"
            ]
        }
    ],
    "cSpell.language": "en-GB",
    "cSpell.userWords": [
        "backpropagation",
        "connectionist",
        "convolutional",
        "dimensionalities",
        "discretised",
        "downsampling",
        "greyscale",
        "hyperparameters",
        "interpretability",
        "learnable",
        "leverages",
        "malperformance",
        "minibatches",
        "neuroinformatics",
        "neuromorphic",
        "perceptron",
        "photocurrent",
        "postsynaptic",
        "presynaptic",
        "saccade",
        "saccades",
        "subsampled",
        "subsampling",
        "tuples",
        "unleveraged",
        "voxel"
    ],
    "latex-workshop.latex.autoBuild.run": "never",
    "editor.formatOnPaste": true,
    "editor.formatOnType": true,
    "workbench.colorTheme": "Everforest Dark",
    // For visual mode
    "vim.visualModeKeyBindings": [
        {
            "before": [
                "<C-c>"
            ],
            "after": [
                "\"",
                "+",
                "y"
            ]
        },
        {
            "before": [
                "<C-v>"
            ],
            "after": [
                "\"",
                "+",
                "p"
            ]
        }
    ],
    // For normal mode
    "vim.normalModeKeyBindings": [
        {
            "before": [
                "<C-c>"
            ],
            "after": [
                "\"",
                "+",
                "y"
            ]
        },
        {
            "before": [
                "<C-v>"
            ],
            "after": [
                "\"",
                "+",
                "p"
            ]
        }
    ],
    "python.linting.pylintArgs": [
        "--disable=C0103"
    ],
    "python.formatting.provider": "black",
    "editor.formatOnSaveTimeout": 3000,
    "editor.formatOnSave": true,
    "terminal.integrated.tabs.enabled": true,
    "python.formatting.provider": "black",
    "python.formatting.blackPath": "~/.local/bin/black",
    "window.zoomLevel": 4,
    "vscode-neovim.neovimExecutablePaths.linux": "/usr/bin/nvim",
    "vim.useSystemClipboard": true,
    "security.workspace.trust.untrustedFiles": "open",
    "redhat.telemetry.enabled": false,
    "explorer.confirmDelete": false,
    "terminal.integrated.fontSize": 12,
}
